Name:		planet-map-generator
Version:	20090507
Release:	1
Summary:	Fractal Planet Map Generator
Group:		Applications
URL:		http://www.diku.dk/hjemmesider/ansatte/torbenm/Planet/
License:	BSD
Packager:	Gavin Brown <gavin.brown@uk.com>
Source:		%{name}-%{version}.tar.gz
BuildRequires:	gcc
BuildRoot:	%{_tmppath}/root-%{name}-%{version}

%description
The program generates planet maps based on recursive spatial
subdivision of a tetrahedron containing the globe (earlier versions
used a rectangular box). The output is a bitmap file, with a choice of
different formats.

%prep

%setup

%build
make planet

%install
mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/usr/share/%{name}
install -m 0755 planet %{buildroot}/usr/bin/%{name}
cp -pr *col %{buildroot}/usr/share/%{name}/
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc Manual.txt ReadMe 
/usr/bin/%{name}
/usr/share/%{name}

%changelog
* Fri Jul 29 2011 Gavin Brown <gavin.brown@uk.com> 20090507
- initial release
